Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Interface Belonging

All Superinterfaces
  BusinessSmartComponent, Cloneable, Comparable, Serializable

All Known Subinterfaces:
  DescribedMoney, DescribedPrice, ImageInfo, InventoryInfo, JspInfo, Money, OrderLine, Price, Quality, Quantity, Result, ShoppingCart, ShoppingCartLine, State, TaxInformation, TaxLine, TaxLineList, TaxLineResult, TaxParameters, TaxResult, TransactionEntry, Transition, Unit, UnitPrice

All Known Implementing Classes:
  BelongingImpl, DescribedMoneyImpl, DescribedPriceImpl, ImageInfoImpl, InventoryInfoImpl, JspInfoImpl, MoneyImpl, OrderLineImpl, PriceImpl, QualityImpl, QuantityImpl, ResultImpl, ShoppingCartImpl, ShoppingCartLineImpl, StateImpl, TaxInformationImpl, TaxLineImpl, TaxLineListImpl, TaxLineResultImpl, TaxParametersImpl, TaxResultImpl, TransactionEntryImpl, TransitionImpl, UnitImpl, UnitPriceImpl

Deprecated

    @Deprecated
    public interface Belonging

extends BusinessSmartComponent, Comparable, Cloneable

A Belonging is a lightweight, local value that can be serialized. A Belonging must "belong" to another object. That object must have the only reference to that Belonging. For this reason the "value" of the Belonging must make a copy of the object that it will return. Belongings must be allocated from a corresponding SmartHome object. Objects that have a stereotype of Belonging will automatically have a SmartHome and Base Implementation class generated by the SmartGenerator.

See Also
  `BelongingImpl`, `SmartHome`

Method Summary
`Object` | `clone()` Deprecated Returns a shallow copy of the Belonging instance.
`boolean` | `equals(Object anObject)` Deprecated Indicates whether some other Belonging is equivalent to this Belonging.
`String` | `interfaceName()` Deprecated Returns the unqualified name of the interface as specified in the UML model.
`void` | `setByValue(Belonging value)` Deprecated Intializes the `Belonging` based upon a supplied `Belonging`.
`Belonging` | `value()` Deprecated Returns a type safe shallow copy of the Belonging instance.

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### equals

    boolean equals(Object anObject)

  Deprecated
  Indicates whether some other Belonging is equivalent to this Belonging.

  Overrides:
    `equals` in class `Object`
  Parameters
    `o` - the Object to be compared.
  Returns
    a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.
  Throws
    `ClassCastException` - if the specified object is not of the same type as this Belonging.

### value

    Belonging value()

  Deprecated
  Returns a type safe shallow copy of the Belonging instance.

  Returns
    A type safe shallow copy of this Belonging.

### clone

    Object clone()

  Deprecated
  Returns a shallow copy of the Belonging instance.

  Returns
    A shallow copy of this Belonging.

### interfaceName

    String interfaceName()

  Deprecated
  Returns the unqualified name of the interface as specified in the UML model.

  Returns
    The unqualified name of the belonging interface.

### setByValue

    void setByValue(Belonging value)

  Deprecated
  Intializes the `Belonging` based upon a supplied `Belonging`.

  Parameters
    `belonging` - The `Belonging` to use for initialization.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.